List Users ​
Endpoint ​
GET /unified/calendar/usersIntegrations supported
- Outlook Calendar
Query parameters ​
Refer Specifying query parameters in Truto APIs
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedrawnormalizedstream
unifiedBy default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body ​
List of Users
The unique identifier for a user
Supported in
- Outlook Calendar
The external identifier for a user. This is set when the SCIM API is being used.
The identifiers of the user.
The first name of the user
Supported in
- Outlook Calendar
The last name of the user
Supported in
- Outlook Calendar
The title of the user
Supported in
- Outlook Calendar
The name of the user
Supported in
- Outlook Calendar
The username of the user
Supported in
- Outlook Calendar
The emails of the user
Supported in
- Outlook Calendar
The email address
The type of email address
Whether the email address is primary
The phones of the user
Supported in
- Outlook Calendar
The phone number
The extension of the phone number
The type of phone number
The status of the user. If no clear mapping is available, then the raw value is returned.
activeinactivedeletedinvited
Supported in
- Outlook Calendar
The roles of the user
Supported in
- Outlook Calendar
The unique identifier for a role
The name of the role
The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
The type of user
The licenses of the user or the products the user has access to
The unique identifier for a license
The name of the license
The unique identifier of the organization to which the license belongs
The date and time the user was last active for the license
The groups of the user
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
The avatar of the user
The timezone of the user
The languages preferred by the user
Supported in
- Outlook Calendar
The bio of the user. Usually a short description set by the user about them.
The date and time the user was created
Supported in
- Outlook Calendar
The date and time the user was last updated
The URLs of the user
The URL
The type of URL
Raw data returned from the remote API call.
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.